"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.run = void 0;
const utils_1 = require("@umijs/utils");
const service_1 = require("../service/service");
const node_1 = require("./node");
async function run(_opts) {
    (0, node_1.checkVersion)();
    (0, node_1.checkLocal)();
    (0, node_1.setNodeTitle)();
    (0, node_1.setNoDeprecation)();
    const args = (0, utils_1.yParser)(process.argv.slice(2), {
        alias: {
            version: ['v'],
            help: ['h'],
        },
        boolean: ['version'],
    });
    const command = args._[0];
    try {
        await new service_1.Service().run2({
            name: command,
            args,
        });
    }
    catch (e) {
        utils_1.logger.error(e);
        process.exit(1);
    }
}
exports.run = run;
