"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.setNoDeprecation = exports.setNodeTitle = exports.checkLocal = exports.checkVersion = void 0;
const utils_1 = require("@umijs/utils");
const constants_1 = require("../constants");
function checkVersion() {
    const v = parseInt(process.version.slice(1));
    if (v < constants_1.MIN_NODE_VERSION || v === constants_1.EXCLUDE_NODE_VERSION) {
        utils_1.logger.error(`Your node version ${v} is not supported, please upgrade to ${constants_1.MIN_NODE_VERSION} or above except ${constants_1.EXCLUDE_NODE_VERSION}.`);
        process.exit(1);
    }
}
exports.checkVersion = checkVersion;
function checkLocal() {
    if (__filename.includes(`packages/${constants_1.FRAMEWORK_NAME}`)) {
        utils_1.logger.info('@local');
    }
}
exports.checkLocal = checkLocal;
function setNodeTitle(name) {
    if (process.title === 'node') {
        process.title = name || constants_1.FRAMEWORK_NAME;
    }
}
exports.setNodeTitle = setNodeTitle;
function setNoDeprecation() {
    // Use magic to suppress node deprecation warnings
    // See: https://github.com/nodejs/node/blob/master/lib/internal/process/warning.js#L77
    // @ts-ignore
    process.noDeprecation = '1';
}
exports.setNoDeprecation = setNoDeprecation;
