"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const schema_1 = require("./schema");
exports.default = (api) => {
    const configDefaults = {};
    const schemas = (0, schema_1.getSchemas)();
    for (const key of Object.keys(schemas)) {
        const config = {
            schema: schemas[key] || ((joi) => joi.any()),
        };
        if (key in configDefaults) {
            config.default = configDefaults[key];
        }
        api.registerPlugins([
            {
                id: `virtual: config-${key}`,
                key: key,
                config,
            },
        ]);
    }
};
